Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.hups
Class KorobovLattice

    java.lang.Object
      umontreal.iro.lecuyer.hups.PointSet
          umontreal.iro.lecuyer.hups.Rank1Lattice
              umontreal.iro.lecuyer.hups.KorobovLattice

Direct Known Subclasses:
  KorobovLatticeSequence

    public class KorobovLattice

extends Rank1Lattice

This class implements Korobov lattices, which are the same point sets as in class `LCGPointSet`, but implemented differently. The parameters are the modulus n and the multiplier a, for arbitrary integers 1 < a < n. The number of points is n, their dimension is s, and they are defined by

ui = (i/n)(1, a, a2,…, as-1) mod 1

for i = 0,..., n - 1.

It is also possible to build a ``shifted'' Korobov lattice with the first t coordinates rejected. The s-dimensionnal points are then defined as

ui = (i/n)(at, at+1, at+2,…, at+s-1) mod 1

for i = 0,..., n - 1 and fixed t.

Constructor Summary
`KorobovLattice(int n, int a, int s)` Instantiates a Korobov lattice point set with modulus n and multiplier a in dimension s.
`KorobovLattice(int n, int a, int s, int t)` Instantiates a shifted Korobov lattice point set with modulus n and multiplier a in dimension s.

Method Summary
`String` | `toString()` Formats a string that contains the information about the point set.

Methods inherited from class umontreal.iro.lecuyer.hups.Rank1Lattice
`addRandomShift, clearRandomShift, getCoordinate, iterator`

Methods inherited from class umontreal.iro.lecuyer.hups.PointSet
`addRandomShift, addRandomShift, addRandomShift, formatPoints, formatPoints, getDimension, getNumPoints, getStream, randomize, randomize, randomize, randomize, randomize, setStream, unrandomize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KorobovLattice

    public KorobovLattice(int n,
                          int a,
                          int s)

  Instantiates a Korobov lattice point set with modulus n and multiplier a in dimension s.

### KorobovLattice

    public KorobovLattice(int n,
                          int a,
                          int s,
                          int t)

  Instantiates a shifted Korobov lattice point set with modulus n and multiplier a in dimension s. The first t coordinates of a standard Korobov lattice are dropped as described above. The case t = 0 corresponds to the standard Korobov lattice.

Method Detail

### toString

    public String toString()

  Description copied from class: `PointSet`
  Formats a string that contains the information about the point set.

  Overrides:
    `toString` in class `Rank1Lattice`
  Returns:
    string representation of the point set information

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.